Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.gui.drawlayer
Class SaveableFontSizer

    java.lang.Object
      com.bbn.openmap.omGraphics.FontSizer
          org.ka2ddo.yaac.gui.drawlayer.SaveableFontSizer

All Implemented Interfaces:
  java.io.Serializable

    public class SaveableFontSizer

extends FontSizer

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bbn.openmap.omGraphics.FontSizer
`baseScale, curScale, font, lastFont, lastScale, maxPointSize, minPointSize, multiplier`

Constructor Summary
`SaveableFontSizer(float baseScale, int multiplier, int minPointSize, int maxPointSize)`
`SaveableFontSizer(java.awt.Font font, float baseScale, int multiplier, int minPointSize, int maxPointSize)`
`SaveableFontSizer(FontSizer source)`

Method Summary
`float` | `getBaseScale()`

Methods inherited from class com.bbn.openmap.omGraphics.FontSizer
`getFont, getFont, getMultiplier, getScaledFont, restore, setFont, setMultiplier`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaveableFontSizer

    public SaveableFontSizer(float baseScale,
                             int multiplier,
                             int minPointSize,
                             int maxPointSize)

### SaveableFontSizer

    public SaveableFontSizer(java.awt.Font font,
                             float baseScale,
                             int multiplier,
                             int minPointSize,
                             int maxPointSize)

### SaveableFontSizer

    public SaveableFontSizer(FontSizer source)

Method Detail

### getBaseScale

    public float getBaseScale()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD